<template>
  <v-container fluid>
    <v-card flat>
      <v-form v-model="valid" ref="form">
        <v-card-text>
            <v-layout row>
              <v-flex xs3>
                <v-subheader>Id</v-subheader>
              </v-flex>
              <v-flex xs8>
                <v-text-field v-model="comForm.id" disabled>
                </v-text-field>
              </v-flex>
            </v-layout><!--/Column-->

            <v-layout row>
              <v-flex xs3>
                <v-subheader>Nama</v-subheader>
              </v-flex>
              <v-flex xs8>
                <v-text-field v-model="comForm.nama">
                </v-text-field>
              </v-flex>
            </v-layout><!--/Column-->

            <v-layout row>
              <v-flex xs3>
                <v-subheader>Username</v-subheader>
              </v-flex>
              <v-flex xs8>
                <v-text-field v-model="comForm.username">
                </v-text-field>
              </v-flex>
            </v-layout><!--/Column-->

            <v-layout row>
              <v-flex xs3>
                <v-subheader>Email</v-subheader>
              </v-flex>
              <v-flex xs8>
                <v-text-field v-model="comForm.email">
                </v-text-field>
              </v-flex>
            </v-layout><!--/Column-->

            <v-layout row>
              <v-flex xs3>
                <v-subheader>Password</v-subheader>
              </v-flex>
              <v-flex xs8>
                <v-text-field
                  v-model="comForm.password"
                  :append-icon="fields.e1 ? 'visibility' : 'visibility_off'"
                  :append-icon-cb="() => (fields.e1 = !fields.e1)"
                  :type="fields.e1 ? 'password' : 'text'"
                  counter
                >
                </v-text-field>
              </v-flex>
            </v-layout><!--/Column-->
        </v-card-text>
        <v-card-actions>
          <v-flex md3 offset-xs3>
              <v-layout row>
                <v-btn light ripple color="success" @click="submit">
                  <span class="white--text">Submit</span>
                </v-btn>
                <v-btn v-if="update" light ripple color="error" @click="destroy">
                  <span class="white--text">Delete</span>
                </v-btn>
                <v-btn light ripple color="warning" @click="cancel">
                  <span class="white--text">Cancel</span>
                </v-btn>
              </v-layout>
            </v-flex>
        </v-card-actions>
      </v-form>
    </v-card>
  </v-container>
</template>

<script>
export default {
  name: 'FormPetugas',
  data () {
    return {
      valid: false,
      dataForm: {
        id: null,
        nama: '',
        username: '',
        email: '',
        password: ''
      },
      fields: {
        e1: true
      }
    }
  },
  props: {
    propForm: {
      type: Object,
      requred: false,
      default: this.dataForm
    },
    update: {
      type: Boolean,
      requred: false,
      default: false
    }
  },
  computed: {
    comForm () {
      if (this.propForm) {
        Object.assign(this.dataForm, this.propForm)
      }

      return this.dataForm
    }
  },
  mounted () {
  },
  methods: {
    emptyData () {
      this.comForm.id = null
      this.comForm.nama = ''
      this.comForm.username = ''
      this.comForm.email = ''
      this.comForm.password = ''
    },
    submit () {
      this.$emit('submit', this.comForm)
    },
    destroy () {
      this.$emit('destroy', this.comForm)
    },
    cancel () {
      this.emptyData()
      this.$emit('cancel')
    }
  }
}
</script>

<style>

</style>
